自动安装

LAMP

系统需求

  • 系统支持:Amazon Linux 2018.03/Fedora 29/CentOS 6+/Debian 8+/Ubuntu 14+
  • 内存要求:≥ 512MB
  • 硬盘要求:至少 5GB 以上的剩余空间
  • 服务器必须配置好 软件源可连接外网
  • 必须具有系统 root 权限
  • 强烈建议使用全新系统来安装

支持组件

  • 支持 PHP 自带几乎所有组件
  • 支持 SQLite、MySQL、MariaDB、Percona Server 数据库
  • 支持 Yaf(可选安装)
  • 支持 Redis(可选安装)
  • 支持 XCache (可选安装)
  • 支持 Swoole (可选安装)
  • 支持 Memcached (可选安装)
  • 支持 ImageMagick (可选安装)
  • 支持 GraphicsMagick (可选安装)
  • 支持 ionCube Loader (可选安装)
  • 自助升级 Apache,PHP,phpMyAdmin,MySQL/MariaDB/Percona Server至最新版本
  • 命令行新增虚拟主机(使用 lamp 命令),操作简便
  • 支持一键卸载程序(不会删除网站数据)

安装步骤

  1. 事前准备(安装 wget、screen、unzip,创建 screen 会话)

注意:双斜杠//后的内容不要复制输入

yum -y install wget screen git      // for Amazon Linux/CentOS/Fedora
apt-get -y install wget screen git  // for Debian/Ubuntu
  1. git clone 并赋予脚本执行权限
git clone https://github.com/teddysun/lamp.git
cd lamp
chmod 755 *.sh
  1. 开始安装
screen -S lamp
  1. 自动模式的使用帮助
[[email protected]]# ~/lamp/lamp.sh -h

+-------------------------------------------------------------------+
| Auto Install LAMP(Linux + Apache + MySQL/MariaDB/Percona + PHP )  |
| Intro : https://lamp.sh                                           |
| Author: Teddysun <[email protected]>                                 |
+-------------------------------------------------------------------+

Version: 20190210

Usage: /root/lamp/lamp.sh [Options]...[Parameters]...
Options:
-h, --help                       Print this help text and exit
-v, --version                    Print program version and exit
--apache_option [1-2]            Apache server version
--apache_modules [mod name]      Apache modules: mod_wsgi, mod_security, mod_jk
--db_option [1-14]               Database version
--db_data_path [location]        Database Data Location. for example: /data/db
--db_root_pwd [password]         Database root password. for example: lamp.sh
--php_option [1-6]               PHP version
--php_extensions [ext name]      PHP extensions: ioncube, xcache, imagick, 
                                 gmagick, memcached, redis, 
                                 mongodb, libsodium, swoole, 
                                 yaf, xdebug
--phpmyadmin_option [1-2]        phpMyAdmin version
--kodexplorer_option [1-2]       KodExplorer version

Parameters:
--apache_option [1-2], please select a apache version like below
  1. httpd-2.4.38
  2. do_not_install
--db_option [1-14], please select a database version like below
  1. mysql-5.5.62
  2. mysql-5.6.43
  3. mysql-5.7.25
  4. mysql-8.0.15
  5. mariadb-5.5.63
  6. mariadb-10.0.38
  7. mariadb-10.1.38
  8. mariadb-10.2.21
  9. mariadb-10.3.12
  10. Percona-Server-5.5.62-38.14
  11. Percona-Server-5.6.43-84.3
  12. Percona-Server-5.7.24-27
  13. Percona-Server-8.0.13-4
  14. do_not_install
--php_option [1-6], please select a php version like below
  1. php-5.6.40
  2. php-7.0.33
  3. php-7.1.26
  4. php-7.2.15
  5. php-7.3.2
  6. do_not_install
--phpmyadmin [1-2], please select a phpMyAdmin version like below
  1. phpMyAdmin-4.8.5-all-languages
  2. do_not_install
--kodexplorer [1-2], please select a KodExplorer version like below
  1. kodexplorer-4.35
  2. do_not_install

比如:安装 Apache、Apache 模块 mod_wsgi,mod_security、MySQL-5.7、root 密码 teddysun.com、PHP-7.2、PHP 扩展 ioncube,imagick,redis,mongodb,libsodium,swoole、phpMyAdmin、KodExplorer

~/lamp/lamp.sh --apache_option 1 --apache_modules mod_wsgi,mod_security --db_option 3 --db_root_pwd teddysun.com --php_option 4 --php_extensions ioncube,imagick,redis,mongodb,libsodium,swoole --phpmyadmin_option 1 --kodexplorer_option 1

使用自动模式在安装时,会显示安装选项,比如上面的示例,会返回如下结果,这些信息会记入安装日志:

------------------------- Install Overview --------------------------

Apache: httpd-2.4.38
Apache Location: /usr/local/apache
Apache Additional Modules:
mod_wsgi-4.6.5
modsecurity-2.9.2

Database: mysql-5.7.25
MySQL Location: /usr/local/mysql
MySQL Data Location: /usr/local/mysql/data
MySQL Root Password: teddysun.com

PHP: php-7.2.15
PHP Location: /usr/local/php
PHP Additional Modules:
ioncube_loaders
imagick-3.4.3
redis-4.2.0
mongodb-1.5.3
libsodium-php-2.0.20
swoole-src-4.2.13

phpMyAdmin: phpMyAdmin-4.8.5-all-languages
phpMyAdmin Location: /data/www/default/phpmyadmin

KodExplorer: kodfile-4.35
KodExplorer Location: /data/www/default/kod

---------------------------------------------------------------------

参数说明

如果你不想安装或者使用默认值,只需将对应的参数省略即可。
数据库的数据位置默认为安装目录下的 data 目录;
数据库的默认 root 密码为 lamp.sh
比如:安装 Apache、MariaDB-10.3、PHP-7.3、phpMyAdmin

~/lamp/lamp.sh --apache_option 1 --db_option 9 --php_option 5 --phpmyadmin_option 1

上面的示例,会返回如下结果:

------------------------- Install Overview --------------------------

Apache: httpd-2.4.38
Apache Location: /usr/local/apache

Database: mariadb-10.3.12
MariaDB Location: /usr/local/mariadb
MariaDB Data Location: /usr/local/mariadb/data
MariaDB Root Password: lamp.sh

PHP: php-7.3.2
PHP Location: /usr/local/php

phpMyAdmin: phpMyAdmin-4.8.5-all-languages
phpMyAdmin Location: /data/www/default/phpmyadmin

KodExplorer: do_not_install

---------------------------------------------------------------------

使用提示

lamp add      创建虚拟主机
lamp del      删除虚拟主机
lamp list     列出虚拟主机

如何升级

注意:双斜杠//后的内容不要复制输入

git pull                 // Get latest version

./upgrade.sh             // Select one to upgrade
./upgrade.sh apache      // Upgrade Apache
./upgrade.sh db          // Upgrade MySQL/MariaDB/Percona
./upgrade.sh php         // Upgrade PHP
./upgrade.sh phpmyadmin  // Upgrade phpMyAdmin

如何卸载

./uninstall.sh 

程序目录

  • MySQL 安装目录: /usr/local/mysql
  • MySQL 数据库目录:/usr/local/mysql/data(默认路径,安装时可更改)
  • MariaDB 安装目录: /usr/local/mariadb
  • MariaDB 数据库目录:/usr/local/mariadb/data(默认路径,安装时可更改)
  • Percona 安装目录: /usr/local/percona
  • Percona 数据库目录:/usr/local/percona/data(默认路径,安装时可更改)
  • PHP 安装目录: /usr/local/php
  • Apache 安装目录: /usr/local/apache

命令一览

  • MySQL 或 MariaDB 或 Percona 命令
/etc/init.d/mysqld (start|stop|restart|status)
  • Apache 命令
/etc/init.d/httpd (start|stop|restart|status)
  • Memcached 命令(可选安装)
/etc/init.d/memcached (start|stop|restart|status)
  • Redis 命令(可选安装)
/etc/init.d/redis-server (start|stop|restart|status)

网站根目录

默认的网站根目录: /data/www/default

评论已关闭